
set PATH=%NXP_MBD_S32K3_GCC_PATH%\bin;%PATH%

cd .

chcp 1252

if "%1"=="" ("C:\PROGRA~1\MATLAB\R2023b\bin\win64\gmake"  -f s32k312_uart_async_s32ct.mk -j all) else ("C:\PROGRA~1\MATLAB\R2023b\bin\win64\gmake"  -f s32k312_uart_async_s32ct.mk -j %1)
@if errorlevel 1 goto error_exit

exit /B 0

:error_exit
echo The make command returned an error of %errorlevel%
exit /B 1